﻿Imports System.IO

Public Class Form1
    ' List the available drives.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lstDrives.DataSource = DriveInfo.GetDrives()
    End Sub

    ' Display information about the selected drive.
    Private Sub lstDrives_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstDrives.SelectedIndexChanged
        Dim info As DriveInfo = DirectCast(lstDrives.SelectedItem, DriveInfo)
        txtName.Text = info.Name
        txtRoot.Text = info.RootDirectory.FullName
        txtType.Text = info.DriveType.ToString()
        txtIsReady.Text = info.IsReady.ToString()

        ' See if the drive is ready.
        If (info.IsReady) Then
            ' Display values.
            txtLabel.Text = info.VolumeLabel
            txtTotalSpace.Text = info.TotalSize.ToString()
            txtTotalFree.Text = info.TotalFreeSpace.ToString()
            txtAvailableFree.Text = info.AvailableFreeSpace.ToString()
            txtFormat.Text = info.DriveFormat
        Else
            ' Clear values that are unavailable.
            txtLabel.Clear()
            txtTotalSpace.Clear()
            txtTotalFree.Clear()
            txtAvailableFree.Clear()
            txtFormat.Clear()
        End If
    End Sub
End Class
