﻿Imports System.IO

Public Class Form1
    ' Start with a default directory.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtDirectory.Text = Application.StartupPath
    End Sub

    ' Let the user browse for a directory.
    Private Sub btnSelectDirectory_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectDirectory.Click
        fbdDirectory.SelectedPath = txtDirectory.Text
        If fbdDirectory.ShowDialog() = DialogResult.OK Then
            txtDirectory.Text = fbdDirectory.SelectedPath
        End If
    End Sub

    ' Get information about the drive.
    Private Sub btnGetInfo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetInfo.Click
        Try
            Dim info As New DirectoryInfo(txtDirectory.Text)

            txtExists.Text = info.Exists.ToString()
            txtName.Text = info.Name
            txtExtension.Text = info.Extension
            txtFullName.Text = info.FullName
            txtParent.Text = info.Parent.FullName
            txtRoot.Text = info.Root.FullName

            If info.Exists Then
                txtAttributes.Text = info.Attributes.ToString()
                txtCreationTime.Text = info.CreationTime.ToString()
                txtAccessTime.Text = info.LastAccessTime.ToString()
                txtWriteTime.Text = info.LastWriteTime.ToString()
            Else
                txtAttributes.Clear()
                txtCreationTime.Clear()
                txtAccessTime.Clear()
                txtWriteTime.Clear()
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
End Class
